﻿using UnityEditor;
using UnityEngine;

namespace Utils
{
    [CustomEditor(typeof(EventManager), true)]
    public class EventManagerEditor : Editor
    {
        public override void OnInspectorGUI()
        {
            EventManager eventManager = (EventManager)target;
            GUILayout.BeginHorizontal();
            GUILayout.Label("Update");
            if (Application.isPlaying)
            {
                GUILayout.FlexibleSpace();
                GUILayout.Label(eventManager.UpdateLength.ToString());
            }
            GUILayout.EndHorizontal();
            GUILayout.BeginHorizontal();
            GUILayout.Label("FixedUpdate");
            if (Application.isPlaying)
            {
                GUILayout.FlexibleSpace();
                GUILayout.Label(eventManager.FixedUpdateLength.ToString());
            }
            GUILayout.EndHorizontal();
            GUILayout.BeginHorizontal();
            GUILayout.Label("LateUpdate");
            if (Application.isPlaying)
            {
                GUILayout.FlexibleSpace();
                GUILayout.Label(eventManager.LateUpdateLength.ToString());
            }
            GUILayout.EndHorizontal();
        }
    }
}
